image: abreto/docker-ci

stages:
  - deploy

variables:
  STACK_NAME: portainer
  IP: noip

before_script:
  - . "$DEPLOY_LIB"
  - eval "$REGISTRY_LOGIN"

deploy:
  stage: deploy
  script:
    - docker-compose pull
    - docker stack deploy -c docker-compose.yml --with-registry-auth "$STACK_NAME"
    - docker stack services "$STACK_NAME"
  rules:
    - if: '$IP == "noip"'
      when: never
    - if: '$CI_COMMIT_BRANCH=="master"'
      when: on_success
